### Method

# Ide Transfer create_notification

#### Declaration

    IdeNotification*
    ide_transfer_create_notification (
      IdeTransfer* self
    )

#### Description

Creates a new `IdeNotification` that is updated with the progress of the `IdeTransfer`. This is useful when you need to bridge an `IdeTransfer` into something that can be displayed to the user.

If the transfer has completed, `NULL` is returned.

Available since: | 3.32

#### Return value

Returns: | `IdeNotification`
| An `IdeNotification` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.